---
updatedAt: 2025-06-06T07:14:29.000Z
agentTools:
  projectIndex: https://hashkeypro-apidoc.readme.io/llms.txt
---

# Withdraw

**Weight: 1**

**Request Parameters**

***

<Table align={["left","left","left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        **PARAMETER**
      </th>

      <th style={{ textAlign: "left" }}>
        **TYPE**
      </th>

      <th style={{ textAlign: "left" }}>
        Req 'd
      </th>

      <th style={{ textAlign: "left" }}>
        **Example Values**
      </th>

      <th style={{ textAlign: "left" }}>
        **DESCRIPTION**
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        coin
      </td>

      <td style={{ textAlign: "left" }}>
        STRING
      </td>

      <td style={{ textAlign: "left" }}>
        Y
      </td>

      <td style={{ textAlign: "left" }}>
        USDT
      </td>

      <td style={{ textAlign: "left" }}>
        Assets
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        clientOrderId
      </td>

      <td style={{ textAlign: "left" }}>
        STRING
      </td>

      <td style={{ textAlign: "left" }}>
        Y
      </td>

      <td style={{ textAlign: "left" }}>
        w12912
      </td>

      <td style={{ textAlign: "left" }}>
        Custom Withdrawal ID
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        address
      </td>

      <td style={{ textAlign: "left" }}>
        STRING
      </td>

      <td style={{ textAlign: "left" }}>
        Y
      </td>

      <td style={{ textAlign: "left" }}>
        0x132346ef629483974879a2e68A3557cA1c494D2E
      </td>

      <td style={{ textAlign: "left" }}>
        Withdrawal address
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        addressExt
      </td>

      <td style={{ textAlign: "left" }}>
        STRING
      </td>

      <td style={{ textAlign: "left" }}>

      </td>

      <td style={{ textAlign: "left" }}>
        \-
      </td>

      <td style={{ textAlign: "left" }}>
        Tag\
        (Not in use)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        platform
      </td>

      <td style={{ textAlign: "left" }}>
        STRING
      </td>

      <td style={{ textAlign: "left" }}>
        Conditional
      </td>

      <td style={{ textAlign: "left" }}>
        "HashKeyCustody"\
        "HashKey"
      </td>

      <td style={{ textAlign: "left" }}>
        Trading Platform. Required when withdrawing to another trading platform. Support HashKey Global only by setting to "HashKey"
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        quantity
      </td>

      <td style={{ textAlign: "left" }}>
        DECIMAL
      </td>

      <td style={{ textAlign: "left" }}>
        Y
      </td>

      <td style={{ textAlign: "left" }}>
        0.2
      </td>

      <td style={{ textAlign: "left" }}>
        Withdrawal amount
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        chainType
      </td>

      <td style={{ textAlign: "left" }}>
        STRING
      </td>

      <td style={{ textAlign: "left" }}>
        Y
      </td>

      <td style={{ textAlign: "left" }}>
        ETH
      </td>

      <td style={{ textAlign: "left" }}>
        Chain Type
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        remark
      </td>

      <td style={{ textAlign: "left" }}>
        STRING
      </td>

      <td style={{ textAlign: "left" }}>

      </td>

      <td style={{ textAlign: "left" }}>
        Test
      </td>

      <td style={{ textAlign: "left" }}>
        Remark
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        walletId
      </td>

      <td style={{ textAlign: "left" }}>
        STRING
      </td>

      <td style={{ textAlign: "left" }}>

      </td>

      <td style={{ textAlign: "left" }}>
        1667406048590383617
      </td>

      <td style={{ textAlign: "left" }}>
        Wallet ID
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        timestamp
      </td>

      <td style={{ textAlign: "left" }}>
        LONG
      </td>

      <td style={{ textAlign: "left" }}>
        Y
      </td>

      <td style={{ textAlign: "left" }}>
        1712317312973
      </td>

      <td style={{ textAlign: "left" }}>
        Timestamp
      </td>
    </tr>
  </tbody>
</Table>

**Response Content**

***

| **PARAMETER** | **TYPE** | **Example Values**  | **DESCRIPTION**                           |
| :------------ | :------- | :------------------ | :---------------------------------------- |
| success       | BOOELEAN | true                | Error code                                |
| platform      | STRING   | "HashKey"           | Target Trading Platform of the withdrawal |
| id            | STRING   | 0                   | ID                                        |
| orderId       | STRING   | W579805129870495744 | Order ID                                  |
| accountId     | STRING   | 1644290379632090369 | Wallet ID                                 |
| clientOrderId | STRING   | w12912              | Custom Withdrawal ID                      |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "default",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api-pro.sim.hashkeydev.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "X-HK-APIKEY",
        "x-default": "NuVdtBcogpRjyQ6sMMlC6KEB0xuXZbng9zXDPyT0TOWHp64UEkyIJ287bBhaW4vy"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/api/v1/account/withdraw": {
      "post": {
        "summary": "Withdraw",
        "description": "",
        "operationId": "withdraw",
        "parameters": [
          {
            "name": "coin",
            "in": "query",
            "description": "asset",
            "required": true,
            "schema": {
              "type": "string",
              "default": "ETH"
            }
          },
          {
            "name": "quantity",
            "in": "query",
            "description": "Number of coin withdrawals",
            "required": true,
            "schema": {
              "type": "number",
              "format": "double",
              "default": 0.05
            }
          },
          {
            "name": "address",
            "in": "query",
            "description": "Withdrawal address (Note: the withdrawal address must be whitelisted in advance via website or APP)",
            "required": true,
            "schema": {
              "type": "string",
              "default": "0xa0d6ad420c440de473980117877dec0a89dafbef"
            }
          },
          {
            "name": "addressExt",
            "in": "query",
            "description": "tag",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "chainType",
            "in": "query",
            "description": "Default is ETH",
            "required": true,
            "schema": {
              "type": "string",
              "default": "ETH"
            }
          },
          {
            "name": "clientOrderId",
            "in": "query",
            "description": "Client defined ID for the request",
            "required": true,
            "schema": {
              "type": "string",
              "default": "123456"
            }
          },
          {
            "name": "timestamp",
            "in": "query",
            "description": "Millisecond Timestamp",
            "required": true,
            "schema": {
              "type": "string",
              "default": "1707558209889"
            }
          },
          {
            "name": "signature",
            "in": "query",
            "description": "Signature",
            "required": true,
            "schema": {
              "type": "string",
              "default": "3a9a7e6205fd776eb74905a7b81d98c9a490780702258ae3db7a0d40c2f34251"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"success\": true,\n    \"id\": \"0\",\n    \"orderId\": \"W579805129870495744\",\n    \"accountId\": \"1644290379632090369\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "id": {
                      "type": "string",
                      "example": "0"
                    },
                    "orderId": {
                      "type": "string",
                      "example": "W579805129870495744"
                    },
                    "accountId": {
                      "type": "string",
                      "example": "1644290379632090369"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```